> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Entry



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/collections/{id}/entries
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/collections/{id}/entries:
    post:
      tags:
        - Collections
      summary: Create Entry
      operationId: CollectionsController_createEntry_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
        - name: id
          required: true
          in: path
          schema:
            type: string
            pattern: ^[1-9]\d*$
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCollectionEntryDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionEntryResponseDto'
      security:
        - bearer: []
components:
  schemas:
    CreateCollectionEntryDto:
      type: object
      properties:
        productTypeId:
          type: string
        collectionVersion:
          type: integer
          exclusiveMinimum: 0
          maximum: 9007199254740991
      required:
        - productTypeId
        - collectionVersion
      additionalProperties: false
    CollectionEntryResponseDto:
      type: object
      properties:
        entry:
          $ref: '#/components/schemas/CollectionEntryDetailDto'
        collectionVersion:
          type: number
      required:
        - entry
        - collectionVersion
    CollectionEntryDetailDto:
      type: object
      properties:
        referenceItems:
          type: array
          items:
            oneOf:
              - $ref: '#/components/schemas/CollectionCatalogReferenceItemDto'
              - $ref: '#/components/schemas/CollectionSpecTemplateReferenceItemDto'
            discriminator:
              propertyName: kind
        notes:
          type: array
          items:
            type: string
        values:
          $ref: '#/components/schemas/CollectionValueBucketsResponseDto'
        framework:
          $ref: '#/components/schemas/CollectionEntryFrameworkDto'
        images:
          type: array
          items:
            $ref: '#/components/schemas/CollectionEntryImageDto'
        id:
          type: string
        name:
          type: string
        productTypeId:
          type: string
        categoryId:
          type: string
        categoryLabel:
          type: string
        categoryPath:
          type: array
          items:
            $ref: '#/components/schemas/CollectionCategoryPathItemDto'
        productTypeLabel:
          type: string
        description:
          type: string
          nullable: true
        areaReference:
          type: string
          nullable: true
        parLevel:
          type: string
          nullable: true
        applyParToPurchaseQuantity:
          type: boolean
        status:
          type: string
          enum:
            - draft
            - pending
            - discontinued
            - approved
        quantity:
          type: string
        mandatoryItem:
          type: boolean
        designReviewRequired:
          type: boolean
        optionalManufacturers:
          type: array
          items:
            $ref: '#/components/schemas/CollectionEntryManufacturerDto'
        mandatoryManufacturerId:
          type: string
          nullable: true
        instructionsCount:
          type: number
        requirementsCount:
          type: number
        position:
          type: number
        referencesCount:
          type: number
        referenceCode:
          type: string
          nullable: true
        imageUrl:
          type: string
          nullable: true
        imagesCount:
          type: number
        validationIssueCount:
          type: number
        version:
          type: number
      required:
        - referenceItems
        - notes
        - values
        - framework
        - images
        - id
        - name
        - productTypeId
        - categoryId
        - categoryLabel
        - categoryPath
        - productTypeLabel
        - description
        - areaReference
        - parLevel
        - applyParToPurchaseQuantity
        - status
        - quantity
        - mandatoryItem
        - designReviewRequired
        - optionalManufacturers
        - mandatoryManufacturerId
        - instructionsCount
        - requirementsCount
        - position
        - referencesCount
        - referenceCode
        - imageUrl
        - imagesCount
        - validationIssueCount
        - version
    CollectionCatalogReferenceItemDto:
      type: object
      properties:
        kind:
          type: string
          enum:
            - catalog_item
        catalogItemId:
          type: string
        catalogFamilySourceId:
          type: string
          nullable: true
        catalogAttributes:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/CollectionCatalogReferenceAttributesDto'
        catalogFamilyVersion:
          type: number
          nullable: true
        catalogItemVersion:
          type: number
          nullable: true
        catalogItemSourceVersion:
          type: number
          nullable: true
        id:
          type: string
        referenceCode:
          type: string
          nullable: true
        name:
          type: string
        vendorName:
          type: string
          nullable: true
        sourceLabel:
          type: string
          nullable: true
        imageUrl:
          type: string
          nullable: true
        available:
          type: boolean
        status:
          type: string
          enum:
            - draft
            - pending
            - discontinued
            - approved
        position:
          type: number
        version:
          type: number
        dimensions:
          type: string
          nullable: true
        finish:
          type: string
          nullable: true
        quantity:
          type: string
          nullable: true
        price:
          type: string
          nullable: true
        writableValueFields:
          type: array
          items:
            type: string
            enum:
              - finish
              - dimensions
              - price
        materialsCount:
          type: number
        partsCount:
          type: number
        componentsCount:
          type: number
      required:
        - kind
        - catalogItemId
        - catalogFamilySourceId
        - catalogAttributes
        - catalogFamilyVersion
        - catalogItemVersion
        - catalogItemSourceVersion
        - id
        - referenceCode
        - name
        - vendorName
        - sourceLabel
        - imageUrl
        - available
        - status
        - position
        - version
        - dimensions
        - finish
        - quantity
        - price
        - writableValueFields
        - materialsCount
        - partsCount
        - componentsCount
    CollectionSpecTemplateReferenceItemDto:
      type: object
      properties:
        kind:
          type: string
          enum:
            - spec_template
        brandStandardId:
          type: string
        brandStandardVersion:
          type: number
          nullable: true
        id:
          type: string
        referenceCode:
          type: string
          nullable: true
        name:
          type: string
        vendorName:
          type: string
          nullable: true
        sourceLabel:
          type: string
          nullable: true
        imageUrl:
          type: string
          nullable: true
        available:
          type: boolean
        status:
          type: string
          enum:
            - draft
            - pending
            - discontinued
            - approved
        position:
          type: number
        version:
          type: number
        dimensions:
          type: string
          nullable: true
        finish:
          type: string
          nullable: true
        quantity:
          type: string
          nullable: true
        price:
          type: string
          nullable: true
        writableValueFields:
          type: array
          items:
            type: string
            enum:
              - finish
              - dimensions
              - price
        materialsCount:
          type: number
        partsCount:
          type: number
        componentsCount:
          type: number
      required:
        - kind
        - brandStandardId
        - brandStandardVersion
        - id
        - referenceCode
        - name
        - vendorName
        - sourceLabel
        - imageUrl
        - available
        - status
        - position
        - version
        - dimensions
        - finish
        - quantity
        - price
        - writableValueFields
        - materialsCount
        - partsCount
        - componentsCount
    CollectionValueBucketsResponseDto:
      type: object
      properties:
        catalogFamily:
          type: object
          additionalProperties: true
        catalogItem:
          type: object
          additionalProperties: true
        projectItem:
          type: object
          additionalProperties: true
        projectItemSlot:
          type: object
          additionalProperties: true
      required:
        - catalogFamily
        - catalogItem
        - projectItem
        - projectItemSlot
    CollectionEntryFrameworkDto:
      type: object
      properties:
        fields:
          type: array
          items:
            $ref: '#/components/schemas/CollectionEntryFrameworkFieldDto'
        inheritedValues:
          $ref: '#/components/schemas/CollectionValueBucketsResponseDto'
      required:
        - fields
        - inheritedValues
    CollectionEntryImageDto:
      type: object
      properties:
        id:
          type: string
        url:
          type: string
        altText:
          type: string
          nullable: true
        isDefault:
          type: boolean
        position:
          type: number
        version:
          type: number
      required:
        - id
        - url
        - altText
        - isDefault
        - position
        - version
    CollectionCategoryPathItemDto:
      type: object
      properties:
        id:
          type: string
        label:
          type: string
      required:
        - id
        - label
    CollectionEntryManufacturerDto:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        available:
          type: boolean
      required:
        - id
        - name
        - available
    CollectionCatalogReferenceAttributesDto:
      type: object
      properties:
        family:
          type: object
          additionalProperties: true
        item:
          type: object
          additionalProperties: true
        familySource:
          type: object
          nullable: true
          additionalProperties: true
        itemSource:
          type: object
          nullable: true
          additionalProperties: true
      required:
        - family
        - item
        - familySource
        - itemSource
    CollectionEntryFrameworkFieldDto:
      type: object
      properties:
        id:
          type: string
        slug:
          type: string
        label:
          type: string
        type:
          enum:
            - text
            - number
            - percent
            - boolean
            - list
            - multiple_select
            - date
            - image
            - dimension
          type: string
        destination:
          type: string
          enum:
            - projectItemSlot
            - projectItem
            - catalogItem
            - catalogFamily
        options:
          type: array
          items:
            type: object
        isCore:
          type: boolean
        required:
          type: boolean
        editable:
          type: boolean
      required:
        - id
        - slug
        - label
        - type
        - destination
        - options
        - isCore
        - required
        - editable
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````